@extends('layouts.app')

@section('page_title', 'Photo Slider')

@section('content')
    @include('components.table-component', [
        'pageTitle' => 'Photo Slider',
        // 'data' => $sliders,
        'columns' => [
            ['name' => 'Title', 'key' => 'title', 'sortable' => true],
            ['name' => 'Type', 'key' => 'type', 'sortable' => true],
            ['name' => 'Start Date', 'key' => 'startDate', 'sortable' => true],
            ['name' => 'End Date', 'key' => 'endDate', 'sortable' => true]
        ],
        'actions' => ['edit', 'view', 'delete'],
        'showAddButton' => true,
        'addButtonUrl' => '/add-photo-slider',
        'showCheckboxes' => true,
        'showBatchDelete' => true,
        'showEditModal' => true,
        'showViewModal' => true
    ])
@endsection
